package com.ruoyi.dataprocess.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 电子围栏区域对象 hw_fence_area
 * 
 * @author xins
 * @date 2023-09-19
 */
public class HwFenceArea extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 电子围栏区域ID */
    private Long fenceAreaId;

    /** 电子围栏ID */
    @Excel(name = "电子围栏ID")
    private Long electronicFenceId;

    /** 区域形状（1、多边形，2、圆形） */
    @Excel(name = "区域形状", readConverterExp = "1=、多边形，2、圆形")
    private String areaShapeFlag;

    /** 区域范围：为多边形时保存格式，经度,纬度，多个以_隔开；为圆形时的中心点和半径，,隔开 */
    @Excel(name = "区域范围：为多边形时保存格式，经度,纬度，多个以_隔开；为圆形时的中心点和半径，,隔开")
    private String areaRange;

    public void setFenceAreaId(Long fenceAreaId) 
    {
        this.fenceAreaId = fenceAreaId;
    }

    public Long getFenceAreaId() 
    {
        return fenceAreaId;
    }
    public void setElectronicFenceId(Long electronicFenceId) 
    {
        this.electronicFenceId = electronicFenceId;
    }

    public Long getElectronicFenceId() 
    {
        return electronicFenceId;
    }
    public void setAreaShapeFlag(String areaShapeFlag) 
    {
        this.areaShapeFlag = areaShapeFlag;
    }

    public String getAreaShapeFlag() 
    {
        return areaShapeFlag;
    }
    public void setAreaRange(String areaRange) 
    {
        this.areaRange = areaRange;
    }

    public String getAreaRange() 
    {
        return areaRange;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fenceAreaId", getFenceAreaId())
            .append("electronicFenceId", getElectronicFenceId())
            .append("areaShapeFlag", getAreaShapeFlag())
            .append("areaRange", getAreaRange())
            .toString();
    }
}
